package com.link.core.basic.limiter;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
@Inherited
@Documented
public @interface LinkRateLimiter {
   String key();

   int time() default 60;

   int limit() default 100;

   ExceptionType exceptionType() default ExceptionType.THROW;

   String errorMsg() default "当前操作过于频繁，请稍后再试";

   LimitType client() default LimitType.MP;

   String condition() default "";
}
